Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Create workbook
        • Delete workbook
        • Delete workbooks
        • Get workbook
        • Get workbooks list
        • Get workbook list by ids
        • Move workbook
        • Move workbooks
        • Update workbook
        • Get workbook entries
        • Update workbook access bindings
        • List workbook access bindings
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • USAccessBindingDelta
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Workbook
  4. Update workbook access bindings
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
    • USAccessBindingDelta
  • Responses
  • 200 OK
    • Body

Update workbook access bindings

Updates access bindings for the specified workbook.

RequestRequest

POST

https://api.datalens.tech/rpc/updateWorkbookAccessBindings

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "workbookId": "example",
  "deltas": [
    {
      "action": "ADD",
      "accessBinding": {
        "roleId": "example",
        "subject": {
          "id": "example",
          "type": "system"
        }
      }
    }
  ]
}

Name

Description

deltas

Type: USAccessBindingDelta[]

Access binding changes to apply.

Example
[
  {
    "action": "ADD",
    "accessBinding": {
      "roleId": "example",
      "subject": {
        "id": "example",
        "type": "system"
      }
    }
  }
]

workbookId

Type: string

ID of the workbook whose access bindings to update.

Example: example

USAccessBindingDeltaUSAccessBindingDelta

Name

Description

accessBinding

Type: object

roleId

Type: string

ID of the role assigned to the subject.

Example: example

subject

Type: object

id

Type: string

Unique identifier of the subject.

Example: example

type

Type: string

Type of the subject.

Enum: system, userAccount, federatedUser, serviceAccount, group, invitee

Subject to which the role is assigned.

Example
{
  "id": "example",
  "type": "system"
}

Access binding to add or remove.

Example
{
  "roleId": "example",
  "subject": {
    "id": "example",
    "type": "system"
  }
}

action

Type: string

Action to perform on the access binding.

Enum: ADD, REMOVE

Example
{
  "action": "ADD",
  "accessBinding": {
    "roleId": "example",
    "subject": {
      "id": "example",
      "type": "system"
    }
  }
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "metadata": {},
  "done": true
}

Name

Description

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation creation timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the user who created the operation.

Example: example

description

Type: string

Description of the operation.

Example: example

done

Type: boolean

Indicates if the operation has completed.

id

Type: string

Unique identifier of the operation.

Example: example

metadata

Type: object

Metadata associated with the operation.

Example
{}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation last modification timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

Была ли статья полезна?

Предыдущая
Get workbook entries
Следующая
List workbook access bindings
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»